Composer:PHP error: “The zip extension and unzip command are both missing, skipping.”

大伟哥 提交于 2020-07-06,周一, 11:13

在Linode VPS上面使用Composer安装Drupal网站的时候,大伟哥看到一长串黄色的警告:

Failed to download drupal/core from dist: The zip extension and unzip command are both missing, skipping.
Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source

虽然也成功拉取了Drupal的文件,但是却用不了zip。php --ini发现果然没有zip的配置文件。

使用Ubuntu或者Debian操作系统的话,只要运行sudo apt install php-zip就可以了,系统会自动安装你需要的版本。

文章分类

标签

添加新评论

此字段内容将保密,不会被其他人看见。

受限制的 HTML

  • 允许的HTML标签:<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>
  • 自动断行和分段。
  • 网页和电子邮件地址自动转换为链接。
验证码
发布评论前,请通过下面的验证,以免被当作垃圾评论机器人屏蔽。
1 + 1 =
计算出这道简单的算术题并键入答案。例如、1+3,就输入 4。